Skip to content
Amplify APIReference

Update an Existing Segment

PUT/segments/{id}

To update a segment send a JSON with the updated value for one or more of the updatable segment attributes.

All attribute values left unset in this PUT will remain unchanged.

Only the following Segment properties are updatable:

  • name - Maximum length is 100 characters

  • description - Maximum length is 500 characters

  • enabled - Use value enabled to enable (true)/disable (false) segment

  • pixelTypeRules - Set new rules for segment membership definition. Applicable only to segment of type "PIXEL"

  • clickersCampaigns - Set a new list of campaign ids for segment membership definition. Applicable only to segment of type "CLICKERS"

  • membershipDuration - Set a new membership duration

  • clearTrackingStatus - Reset segment tracking

  • archived - Use value archived to archive (true) segment. Archived segments are returned by the segments APIs only where request parameter "includeArchived" is permitted and set to "true"

  • lookalikeSettings - Set new settings of a LOOK_A_LIKES segment |

OB-TOKEN-V1<token>

Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.

In: header

Path Parameters

id*string

the Segment id

curl -X PUT "https://example.com/segments/00f4b02153ee75f3c9dc4fc128ab041963"
Empty